<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package fabstar
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta charset="<?php bloginfo('charset'); ?>"/>
	<?php wp_head(); ?>
</head>
<body <?php $box_layout = absint(get_theme_mod('box_layout', '1')) ; if ( $box_layout == '2') {
    body_class('boxed');
} else body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'fabstar' ); ?></a>

	<header id="masthead" class="site-header">
	<div class="top">
		<div  class="container">
			<div class="col-md-6 col-sm-6 top-left">
				 <?php $fabstar_theme_options = fabstar_get_options(); ?>
				<div class="fabstar_social_media_head">
					<?php if($fabstar_theme_options['fabstar_social_media']=='on'){ ?>
						<ul class="f_social">
							<?php if($fabstar_theme_options['facbook_link']!=''){ ?>
							<li class="facebook"><a href="<?php echo esc_url($fabstar_theme_options['facbook_link']); ?>"><i class="fa fa-facebook"></i></a></li>
							<?php }
							if($fabstar_theme_options['twitter_link']!=''){ ?>
							<li class="twitter"><a href="<?php echo esc_url($fabstar_theme_options['twitter_link']); ?>"><i class="fa fa-twitter"></i></a></li>
							<?php } 
							if($fabstar_theme_options['youtube_link']!=''){ ?>
							<li class="youtube"><a href="<?php echo esc_url($fabstar_theme_options['youtube_link']); ?>"><i class="fa fa-youtube"></i></a></li>
							<?php } 
							if($fabstar_theme_options['linkdin_link']!=''){ ?>
							<li class="linkedin"><a href="<?php echo esc_url($fabstar_theme_options['linkdin_link']); ?>"><i class="fa fa-linkedin"></i></a></li>
							<?php } ?>
						</ul>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	</header>
		<!-- #site-navigation -->
		<nav id="main-menu" class="navbar navbar-default menu">
			<div class="container">
				
					<div class="menu-head">
						<div class="navbar-header">
							<div claSS="logo">
								<a class="brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<?php if (has_custom_logo()) { the_custom_logo(); 
								} else { ?> 
									<h1><?php echo esc_html(get_bloginfo('name'));  ?></h1>
								<?php } ?>
								</a>	
								<p class="site-description"><?php bloginfo('description'); ?></p> 
							</div>
							
							<?php $custom_logo_id = get_theme_mod( 'custom_logo' ); 
                  $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
                  if ( has_custom_logo() ) { 
                  ?>
                     <div class="mobile-menu" data-type="logo" data-link="<?php echo esc_url( home_url('/') ); ?>" data-logo="<?php echo esc_url( $logo[0] ); ?>"> </div>
                  <?php } else { ?>
                     <div class="mobile-menu" data-type="text" data-link="<?php echo esc_url( home_url('/') ); ?>" data-logo="<?php bloginfo( 'name' ); ?>"> </div>
                  <?php } ?>
							
						</div>
						<div class="collapse navbar-collapse" id="myNavbar">
							<?php  
							wp_nav_menu( array(
							'theme_location' => 'menu-1',
                            'container'      => 'ul',
                            'before'         => '',
                            'items_wrap'     => '<ul class="navbar-nav ">%3$s</ul>',
							'fallback_cb' => 'fabstar_fallback_page_menu',
							'walker' => new fabstar_nav_walker(),
							));	 ?>
						</div>
					</div>
				
			</div>
		</nav>
	<!--</header><!-- #masthead -->
